Qt 5.9 | Qt Charts | C++ Classes | QBarLegendMarker

Qt 5.9.9 Reference Documentation

# QBarLegendMarker Class

The QBarLegendMarker class is a legend marker for a bar series. More...

Header: | #include <QBarLegendMarker>
Inherits: | QLegendMarker

- List of all members, including inherited members

## Public Functions

virtual | ~QBarLegendMarker()
QBarSet * | barset()

## Reimplemented Public Functions

virtual QAbstractBarSeries * | series()
virtual LegendMarkerType | type()

- 16 public functions inherited from QLegendMarker

### Additional Inherited Members

- 7 properties inherited from QLegendMarker
- 9 signals inherited from QLegendMarker

## Detailed Description

The QBarLegendMarker class is a legend marker for a bar series.

A bar legend marker is related to QAbstractBarSeries derived classes. With a bar series, each marker is related to one QBarSet.

See also QLegend, QAbstractBarSeries, and QBarSet.

## Member Function Documentation

### `[virtual]` QBarLegendMarker::~QBarLegendMarker()

Removes the legend marker for a bar set.

### QBarSet *QBarLegendMarker::barset()

Returns the bar set related to the marker.

### `[virtual]` QAbstractBarSeries *QBarLegendMarker::series()

Reimplemented from QLegendMarker::series().

### `[virtual]` LegendMarkerType QBarLegendMarker::type()

Reimplemented from QLegendMarker::type().